The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> wcswcs - find a wide substring (LEGACY)

#### SYNOPSIS

> ``[XSI] #include <wchar.h>
> wchar_t *wcswcs(const wchar_t *`ws1`, const wchar_t *`ws2`);``
> `
> `

#### DESCRIPTION

> The wcswcs() function shall locate the first occurrence in the wide-character string pointed to by ws1 of the sequence of wide-character codes (excluding the terminating null wide-character code) in the wide-character string pointed to by ws2.

#### RETURN VALUE

> Upon successful completion, wcswcs() shall return a pointer to the located wide-character string or a null pointer if the wide-character string is not found.

> If ws2 points to a wide-character string with zero length, the function shall return ws1.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> This function was not included in the final ISO/IEC 9899:1990/Amendment 1:1995 (E). Application developers are strongly encouraged to use the wcsstr() function instead.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> This function may be withdrawn in a future version.

#### SEE ALSO

> wcschr(), wcsstr(), the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the MSE working draft.

#### Issue 5

> Marked EX.

#### Issue 6

> This function is marked LEGACY.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]